# ContainsImplicitStringTags

Property in [CompilationResult](/2.2/api/csharp/yarn.compiler/yarn.compiler.compilationresult.md)

## Summary

Gets a value indicating whether the compiler had to create line IDs for lines in the source code that lacked `#line:` tags.

```csharp
public bool ContainsImplicitStringTags { get; internal set; }
```

## Remarks

Every line is required to have a line ID. If a line doesn't have a line ID specified in the source code (via a `#line:` tag), the compiler will create one.

Implicit line IDs are guaranteed to remain the same between compilations when the source file does not change. If you want line IDs to remain the same when the source code may be modified in the future, add a `#line:` tag to the line. This may be done by hand, or added using the [AddTagsToLines(string,ICollection\<string>)](/2.2/api/csharp/yarn.compiler/yarn.compiler.utility/yarn.compiler.utility.addtagstolines.md) method.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.compilationresult/yarn.compiler.compilationresult.containsimplicitstringtags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
